Loading...
Searching...
No Matches
casacore::MSDopplerUtil Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSDopplerUtil.h>`

## Public Member Functions

| MSDopplerUtil (const MeasurementSet &ms)
| Construct from an existing MeasurementSet.
| ~MSDopplerUtil ()
| Null destructor.
Bool | dopplerInfo (Vector< Double > &restFrequency, Int spwId, Int fieldId)
| Retrieve a list of all rest frequencies used for a given spectral window id and field id.

## Private Member Functions

| MSDopplerUtil ()
| Prohibit null constructor, copy constructor and assignment for now.
MSDopplerUtil & | operator= (const MSDopplerUtil &)
| MSDopplerUtil (const MSDopplerUtil &)

## Private Attributes

MeasurementSet | ms_p
| Underlying MeasurementSet.

## Detailed Description

A utility class for MS Doppler tracking information

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSDoppler

### Etymology

From "MeasurementSet", "Doppler" and "utility".

### Synopsis

This class provides utilities for handling Doppler tracking information in a MeasurementSet.

### Example

### Motivation

Collect all utilities for handling MS Doppler tracking information.

### Thrown Exceptions

### To Do

- averaging over other indices.

Definition at line 73 of file MSDopplerUtil.h.

## Constructor & Destructor Documentation

## MSDopplerUtil() [1/3]

casacore::MSDopplerUtil::MSDopplerUtil | ( | const MeasurementSet & | ms | ) |

Construct from an existing MeasurementSet.

Referenced by MSDopplerUtil(), and operator=().

## ~MSDopplerUtil()

casacore::MSDopplerUtil::~MSDopplerUtil | ( |  | ) |

Null destructor.

## MSDopplerUtil() [2/3]

casacore::MSDopplerUtil::MSDopplerUtil | ( |  | ) |

private

Prohibit null constructor, copy constructor and assignment for now.

## MSDopplerUtil() [3/3]

casacore::MSDopplerUtil::MSDopplerUtil | ( | const MSDopplerUtil & |  | ) |

private

References MSDopplerUtil().

## Member Function Documentation

## dopplerInfo()

Bool casacore::MSDopplerUtil::dopplerInfo | ( | Vector< Double > & | restFrequency,
|  | Int | spwId,
|  | Int | fieldId )

Retrieve a list of all rest frequencies used for a given spectral window id and field id.

Note that the output vector combines information for multiple spectral lines and (unlikely) multiple source table entries. If the doppler sub table doesn't exist, the information is retrieved from directly from the source sub table.

## operator=()

MSDopplerUtil & casacore::MSDopplerUtil::operator= | ( | const MSDopplerUtil & |  | ) |

private

References MSDopplerUtil().

## Member Data Documentation

## ms_p

MeasurementSet casacore::MSDopplerUtil::ms_p

private

Underlying MeasurementSet.

Definition at line 97 of file MSDopplerUtil.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSDopplerUtil.h